Login | Register
My pages Projects Community openCollabNet

Discussions > dev > Unresolvable file dependencies (revival...)

Project highlights: Stable Version: 1.6.1, Development Version: 1.7.6

current
Discussion topic

2020-03-13: This site is going to be decommissioned and shut down very soon. Please copy and archive any data you wish to keep ASAP

Hide all messages in topic

All messages in topic

Re: Unresolvable file dependencies (revival...)

Reply

Author josvos
Full name Jos Vos
Date 2003-04-28 11:49:59 PDT
Message > 1.5.4 is unlikely to work - I don't think I put the right code in for
> that. IF you're using CVS HEAD, could you bump the logging up to max
> and re-ask this question, then send the the excerpt from the log where
> it tells what question it thinks it's being asked and what answer it's
> giving?

Hope the attached log is ok (I did a up2date-nox --whatprovides=/bin/sh,
with no result), otherwise tell me how to enable more logging.

--
-- Jos Vos <jos at xos dot nl>
-- X/OS Experts in Open Systems BV | Phone: +31 20 6938364
-- Amsterdam, The Netherlands | Fax: +31 20 6948204

Re: Unresolvable file dependencies (revival...)

Reply

Author josvos
Full name Jos Vos
Date 2003-04-28 06:15:50 PDT
Message > 1.5.4 is unlikely to work - I don't think I put the right code in for
> that. IF you're using CVS HEAD, could you bump the logging up to max
> and re-ask this question, then send the the excerpt from the log where
> it tells what question it thinks it's being asked and what answer it's
> giving?

CVS HEAD of last Saturday does not work either, it gives an emoty
answer. I'll try to make a log of such a session.

--
-- Jos Vos <jos at xos dot nl>
-- X/OS Experts in Open Systems BV | Phone: +31 20 6938364
-- Amsterdam, The Netherlands | Fax: +31 20 6948204

--------------------​--------------------​--------------------​---------
To unsubscribe, e-mail: dev-unsubscribe@curr​ent.tigris.org
For additional commands, e-mail: dev-help at current dot tigris dot org

Re: Unresolvable file dependencies (revival...)

Reply

Author jwbernin
Full name John Berninger
Date 2003-04-28 06:07:38 PDT
Message 1.5.4 is unlikely to work - I don't think I put the right code in for
that. IF you're using CVS HEAD, could you bump the logging up to max
and re-ask this question, then send the the excerpt from the log where
it tells what question it thinks it's being asked and what answer it's
giving?

On Mon, 28 Apr 2003, Tuomo Soini wrote:

> Jos Vos wrote:
>
>
> > I've tried it with 1.5.4 and CVS HEAD, but both with RH 9 as server.
> > Anyone who can reproduce this with 1.5.4++ on a non-RH 9 server?
>
> Tried with 1.5.4 server on rh8: it doesn't find anything when /bin/sh is
> asked. Standard rh8 rpm and up2date-client.
>
> --
> Tuomo Soini <tis at foobar dot fi>
> Linux and network services
> Foobar Oy <http://foobar.fi/>
>
>
> --------------------​--------------------​--------------------​---------
> To unsubscribe, e-mail: dev-unsubscribe@curr​ent.tigris.org
> For additional commands, e-mail: dev-help at current dot tigris dot org

--
John Berninger

GPG Key ID: A8C1D45C
        Fingerprint: B1BB 90CB 5314 3113 CF22 66AE 822D 42A8 A8C1 D45C

Sit vis nobiscum.
--

--------------------​--------------------​--------------------​---------
To unsubscribe, e-mail: dev-unsubscribe@curr​ent.tigris.org
For additional commands, e-mail: dev-help at current dot tigris dot org

Re: Unresolvable file dependencies (revival...)

Reply

Author bleve
Full name Tuomo Soini
Date 2003-04-28 05:56:25 PDT
Message Jos Vos wrote:


> I've tried it with 1.5.4 and CVS HEAD, but both with RH 9 as server.
> Anyone who can reproduce this with 1.5.4++ on a non-RH 9 server?

Tried with 1.5.4 server on rh8: it doesn't find anything when /bin/sh is
asked. Standard rh8 rpm and up2date-client.

--
Tuomo Soini <tis at foobar dot fi>
Linux and network services
Foobar Oy <http://foobar.fi/>


--------------------​--------------------​--------------------​---------
To unsubscribe, e-mail: dev-unsubscribe@curr​ent.tigris.org
For additional commands, e-mail: dev-help at current dot tigris dot org

Re: Unresolvable file dependencies (revival...)

Reply

Author josvos
Full name Jos Vos
Date 2003-04-28 01:34:22 PDT
Message > [root@barrykn root]# /usr/sbin/up2date-nox --whatprovides=/bin/sh
> bash-2.05a-13
>
> This is a 7.3 client and a 7.3 (Current 1.4.3) server. With this server
> and a 9.0 client (running the test-4.2 RPMs from ftp.rpm.org) I also get
> this (correct) response.

I've tried it with 1.5.4 and CVS HEAD, but both with RH 9 as server.
Anyone who can reproduce this with 1.5.4++ on a non-RH 9 server?

Thanks,

--
-- Jos Vos <jos at xos dot nl>
-- X/OS Experts in Open Systems BV | Phone: +31 20 6938364
-- Amsterdam, The Netherlands | Fax: +31 20 6948204

--------------------​--------------------​--------------------​---------
To unsubscribe, e-mail: dev-unsubscribe@curr​ent.tigris.org
For additional commands, e-mail: dev-help at current dot tigris dot org

Re: Unresolvable file dependencies (revival...)

Reply

Author "Barry K dot Nathan" <barryn at pobox dot com>
Full name "Barry K dot Nathan" <barryn at pobox dot com>
Date 2003-04-28 01:21:58 PDT
Message On Mon, Apr 28, 2003 at 01:36:57AM +0200, Jos Vos wrote:
> up2date-nox --whatprovides=/bin/sh
>
> should give the bash package as result, but it doesn't.

[root@barrykn root]# /usr/sbin/up2date-nox --whatprovides=/bin/sh
bash-2.05a-13

This is a 7.3 client and a 7.3 (Current 1.4.3) server. With this server
and a 9.0 client (running the test-4.2 RPMs from ftp.rpm.org) I also get
this (correct) response.

-Barry K. Nathan <barryn at pobox dot com>

--------------------​--------------------​--------------------​---------
To unsubscribe, e-mail: dev-unsubscribe@curr​ent.tigris.org
For additional commands, e-mail: dev-help at current dot tigris dot org

Unresolvable file dependencies (revival...)

Reply

Author josvos
Full name Jos Vos
Date 2003-04-27 16:36:57 PDT
Message Hi,

Just an update w.r.t. the file dependencies: there is a simple
way to reproduce this problem:

    up2date-nox --whatprovides=libc.so.6

should give the glibc package as result, which works fine.

    up2date-nox --whatprovides=/bin/sh

should give the bash package as result, but it doesn't.

Is this reproducable for others (I currently can test it only with
RH 9 as server, but I don't suspect this to be the problem...)?

Thanks,

--
-- Jos Vos <jos at xos dot nl>
-- X/OS Experts in Open Systems BV | Phone: +31 20 6938364
-- Amsterdam, The Netherlands | Fax: +31 20 6948204

--------------------​--------------------​--------------------​---------
To unsubscribe, e-mail: dev-unsubscribe@curr​ent.tigris.org
For additional commands, e-mail: dev-help at current dot tigris dot org
Messages per page: